import os
from const import UTF8
# The hostname used by this app
HOSTNAME: str = os.getenv('HOSTNAME')  # localhost or some name
# The port to broadcast the server
# 8087 or the port you want to run on. pass in with docker -e command.
SERVERPORT: int = 8087
# The API key for OpenAI
APIKEY: str = os.getenv('APIKEY')  # secret key from OpenAPI website
if APIKEY is None:
    raise Exception("APIKEY Environmental Variable must be set")
# The hash key
HASHKEY = bytes(os.getenv('HASHKEY'),UTF8)  # shared secret for hmac of message

# The prompts used for OpenAI.
PROMPTS = [
    "Say \"USERNAME does not give a fuck\" as a haiku and mention that it is a haiku.",
    "Say \"USERNAME does not give a fuck\" in a Dr Suess poem.",
    "Tell me a story about how \"USERNAME does not give a fuck\" using an outrageous situation where someone should care but they do not and thats fine.",
    "Say \"USERNAME is completely apethetic and does not give a fuck\" in a verbose manner, using your most colorful words and one metaphor."
]
OPEN_AI_MAX_TOKENS = 500
OPEN_AI_COMPLETION_MODEL = "text-davinci-003"
MAX_MESSAGE_AGE = 600
TEMPERATURE = 0.8
